<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class managecompetencies extends CI_Controller {
    public $iconName;
    function __construct() {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library(array('form_validation', 'session'));
        $this->load->model(array('usermodel','competencymodel'));
        if (!isset($this->session->userdata['id'])) {
            redirect(base_url('home/login'));
            exit;
        }
        
    }

    public function index() {
        $data['groupId'] = $this->session->userdata['role'];
        $data['links'] = '<a class="navbar-brand" href="home/logout"> Logout</a>';
        $this->load->view('header', $data);
        $this->load->view('competenciesGridView', $data);
        $data['pageName'] = str_replace('/', '', $_SERVER['REQUEST_URI']);
        $this->load->view('footer', $data);
    }

    public function getCompetencies($schoolid) {
        $data = array();
        $data['data'] = $this->competencymodel->getCompetencies($schoolid);

        echo json_encode($data);
    }

    public function createCompetency() {
        
        
        if (isset($_POST['action']) && $_POST['action'] === 'create') {
            $studentInfo = $_POST['data'];
            $this->competencymodel->createCompetency($studentInfo);
        }
        if (isset($_POST['action']) && $_POST['action'] === 'edit') {
            $studentInfo = $_POST['data'];
            $this->competencymodel->updateCompetency($studentInfo);
        }
    }

    
    public function getSettingList(){
        $SettingData = $this->competencymodel->getSettingList();
        
        
        $stack = array();
        foreach ($SettingData as $key => $val){
            array_push($stack,array($val['termname'],$val['termid']));
        }
        echo json_encode($stack);
    }
    
    public function getGroupList($schoolid){
        $groupData = $this->competencymodel->getGroupList($schoolid);
        
        $stack = array();
        foreach ($groupData as $key => $val){
            array_push($stack,array($val['name'],$val['id']));
        }
        echo json_encode($stack);
    }
}
