<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class manageteacher extends CI_Controller {
    public $iconName;
    function __construct() {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library(array('form_validation', 'session'));
        $this->load->model(array('usermodel'));
        if (!isset($this->session->userdata['id'])) {
            redirect(base_url('home/login'));
            exit;
        }
        
    }

    public function index() {
        $data['groupId'] = $this->session->userdata['role'];
        $data['links'] = '<a class="navbar-brand" href="home/logout"> Logout</a>';
        $this->load->view('header', $data);
        $this->load->view('teacherGridView', $data);
        $data['pageName'] = str_replace('/', '', $_SERVER['REQUEST_URI']);
        $this->load->view('footer', $data);
    }

    public function getTeachers($schoolid) {
        $data = array();
        $data['data'] = $this->usermodel->getTeachers($schoolid);

        echo json_encode($data);
    }

    public function createTeacher() {
        
        
        if (isset($_POST['action']) && $_POST['action'] === 'create') {
            $studentInfo = $_POST['data'];
            $this->usermodel->createTeacher($studentInfo);
        }
        if (isset($_POST['action']) && $_POST['action'] === 'edit') {
            $studentInfo = $_POST['data'];
            $this->usermodel->updateTeacher($studentInfo);
        }
    }

    
    public function getSubjectList(){
        $subjectData = $this->usermodel->getSubjectList();
        
        
        $stack = array();
        foreach ($subjectData as $key => $val){
            array_push($stack,array($val['name'],$val['id']));
        }
        echo json_encode($stack);
    }
    
    public function getGroupList(){
        $groupData = $this->usermodel->getGroupList();
        
        $stack = array();
        foreach ($groupData as $key => $val){
            array_push($stack,array($val['name'],$val['id']));
        }
        echo json_encode($stack);
    }
}
